Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.handlers
Class StyledRegion

    java.lang.Object
      net.sf.colorer.handlers.RegionDefine
          net.sf.colorer.handlers.StyledRegion

    public class StyledRegion

extends RegionDefine

Field Summary
`int` | `back` Background mapping
`boolean` | `bback` Is region defines background mapping
`boolean` | `bfore` Is region defines foreground mapping
`static int` | `BOLD`
`int` | `fore` Foreground mapping
`static java.lang.String` | `HRD_CONSOLE_CLASS`
`static java.lang.String` | `HRD_RGB_CLASS`
`static int` | `ITALIC`
`static int` | `STRIKEOUT`
`int` | `style` Style mapping
`static int` | `UNDERLINE`

Constructor Summary
`StyledRegion(boolean bfore, boolean bback, int fore, int back, int style)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOLD

    public static final int BOLD

### ITALIC

    public static final int ITALIC

### UNDERLINE

    public static final int UNDERLINE

### STRIKEOUT

    public static final int STRIKEOUT

### HRD_RGB_CLASS

    public static final java.lang.String HRD_RGB_CLASS

### HRD_CONSOLE_CLASS

    public static final java.lang.String HRD_CONSOLE_CLASS

### bfore

    public boolean bfore

  Is region defines foreground mapping

### bback

    public boolean bback

  Is region defines background mapping

### fore

    public int fore

  Foreground mapping

### back

    public int back

  Background mapping

### style

    public int style

  Style mapping

Constructor Detail

### StyledRegion

    public StyledRegion(boolean bfore,
                        boolean bback,
                        int fore,
                        int back,
                        int style)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.